org.bdgenomics.adam.rdd

# ShuffleRegionJoin

###
Related Doc: package rdd

#### sealed abstract class ShuffleRegionJoin[T, U, RT, RU] extends RegionJoin[T, U, RT, RU]

A trait describing join implementations that are based on a sort-merge join.

T

  The type of the left RDD.

U

  The type of the right RDD.

RT

  The type of data yielded by the left RDD at the output of the join. This may not match T if the join is an outer join, etc.

RU

  The type of data yielded by the right RDD at the output of the join.

Linear Supertypes
RegionJoin[T, U, RT, RU], Serializable, Serializable, AnyRef, Any
Known Subclasses
FullOuterShuffleRegionJoin, InnerShuffleRegionJoin, InnerShuffleRegionJoinAndGroupByLeft, LeftOuterShuffleRegionJoin, LeftOuterShuffleRegionJoinAndGroupByLeft, RightOuterShuffleRegionJoinAndGroupByLeft, SortedIntervalPartitionJoinWithVictims, VictimlessSortedIntervalPartitionJoin
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ShuffleRegionJoin
2. RegionJoin
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def advanceCache(cache: SetTheoryCache[U, RT, RU], right: BufferedIterator[(ReferenceRegion, U)], until: ReferenceRegion): Unit

   Attributes
     protected

2. #### abstract def emptyFn(left: Iterator[(ReferenceRegion, T)], right: Iterator[(ReferenceRegion, U)]): Iterator[(RT, RU)]

   Attributes
     protected

3. #### abstract def finalizeHits(cache: SetTheoryCache[U, RT, RU], right: BufferedIterator[(ReferenceRegion, U)]): Iterable[(RT, RU)]

   Attributes
     protected

4. #### abstract val leftRdd: RDD[(ReferenceRegion, T)]

   Attributes
     protected

5. #### abstract def postProcessHits(iter: Iterable[U], currentLeft: T): Iterable[(RT, RU)]

   Attributes
     protected

6. #### abstract def pruneCache(cache: SetTheoryCache[U, RT, RU], to: ReferenceRegion): Unit

   Attributes
     protected

7. #### abstract val rightRdd: RDD[(ReferenceRegion, U)]

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compute(): RDD[(RT, RU)]

   Performs a region join between two RDDs (shuffle join).

   Performs a region join between two RDDs (shuffle join). All data should be pre-shuffled and copartitioned.

   returns

     An RDD of joins (x, y), where x is from leftRDD, y is from rightRDD, and the region corresponding to x overlaps the region corresponding to y.

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def makeIterator(leftIter: Iterator[(ReferenceRegion, T)], rightIter: Iterator[(ReferenceRegion, U)]): Iterator[(RT, RU)]

    Attributes
      protected

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def partitionAndJoin(left: RDD[(ReferenceRegion, T)], right: RDD[(ReferenceRegion, U)]): RDD[(RT, RU)]

    Performs a region join between two RDDs.

    Performs a region join between two RDDs.

    returns

      An RDD of pairs (x, y), where x is from baseRDD, y is from joinedRDD, and the region corresponding to x overlaps the region corresponding to y.

    Definition Classes
      ShuffleRegionJoin → RegionJoin

18. #### def processHits(cache: SetTheoryCache[U, RT, RU], currentLeft: T, currentLeftRegion: ReferenceRegion): Iterable[(RT, RU)]

    Process hits for a given object in left.

    Process hits for a given object in left.

    cache

      The cache containing potential hits.

    currentLeft

      The current object from the left

    currentLeftRegion

      The ReferenceRegion of currentLeft.

    returns

      An iterator containing all hits, formatted by postProcessHits.

    Attributes
      protected

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from RegionJoin[T, U, RT, RU]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped